summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeremy Huddleston <eradicator@gentoo.org>2005-03-04 10:21:27 +0000
committerJeremy Huddleston <eradicator@gentoo.org>2005-03-04 10:21:27 +0000
commit6eb074e3b916ba3d503280359fe917d645ab4d7e (patch)
tree9f3e828d683a1129a6db3781f94826ca94690069 /eclass/toolchain.eclass
parentmark stable on x86 (diff)
downloadgentoo-2-6eb074e3b916ba3d503280359fe917d645ab4d7e.tar.gz
gentoo-2-6eb074e3b916ba3d503280359fe917d645ab4d7e.tar.bz2
gentoo-2-6eb074e3b916ba3d503280359fe917d645ab4d7e.zip
Added check for ! use build on ffi stuff.
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index a661a50b211a..7af2c22f411d 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.116 2005/03/03 05:06:00 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.117 2005/03/04 10:21:27 eradicator Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -1352,7 +1352,7 @@ gcc-compiler_src_install() {
# "#include <ffitarget.h>" which (correctly, as it's an "extra" file)
# is installed in .../GCCVER/include/libffi; the following fixes
# ffi.'s include of ffitarget.h - Armando Di Cianno <fafhrd@gentoo.org>
- if use objc && ! use gcj ; then
+ if ! use build && use objc && ! use gcj ; then
#dosed "s:<ffitarget.h>:<libffi/ffitarget.h>:g" /${LIBPATH}/include/ffi.h
mv ${D}/${LIBPATH}/include/libffi/* ${D}/${LIBPATH}/include
rm -Rf ${D}/${LIBPATH}/include/libffi